
Foreman - Refactor #33672

Remove updated_at from taxable_taxonomies table

10/11/2021 09:18 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty: trivial Fixed in Releases: 3.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8831,

https://github.com/theforeman/foreman/p

ull/9220,

https://github.com/theforeman/foreman/p

ull/9224

  

Description

Records in this table aren't modified as it is a simple join table. We could remove the updated_at field.

Associated revisions

Revision c367ccbc - 05/18/2022 11:37 AM - Nofar Alfassi

Fixes #33672 - drop unnecessary timestamps

Revision c2121663 - 05/19/2022 09:48 AM - nofar 

Refs #33672 - remove unnecessary timestamps from taxable_taxonomies table

History

#1 - 10/11/2021 09:36 AM - Lukas Zapletal

- Subject changed from Remove updated_at from taxable_taxonomies table to Remove created_at/updated_at from irrelevant tables

- Assignee set to Lukas Zapletal

- Triaged changed from No to Yes

#2 - 10/11/2021 09:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8831 added

#3 - 11/04/2021 08:19 AM - Lukas Zapletal

- Status changed from Ready For Testing to Rejected

Most of the columns ARE actually relevant.

#4 - 11/04/2021 08:32 AM - Lukas Zapletal

- Subject changed from Remove created_at/updated_at from irrelevant tables to Remove updated_at from taxable_taxonomies table

- Status changed from Rejected to New

- Assignee deleted (Lukas Zapletal)

#5 - 05/17/2022 08:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9220 added
#6 - 05/18/2022 11:37 AM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#7 - 05/18/2022 12:01 PM - Nofar Alfassi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c367ccbcb634a46e18710198f73aecb114464763.

#8 - 05/18/2022 01:31 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9224 added
